<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db1.UserDetailMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db1.UserDetail">
        <id column="id" property="id" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_time" property="modifyTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="create_id" property="createId" />
        <result column="user_id" property="userId" />
        <result column="head_path" property="headPath" />
        <result column="idcard_positivepath" property="idcardPositivepath" />
        <result column="idcard_reversepath" property="idcardReversepath" />
        <result column="idcard" property="idcard" />
        <result column="ossbucketname" property="ossbucketname" />
        <result column="ossfolder" property="ossfolder" />
        <result column="date_of_birth" property="dateOfBirth" />
        <result column="term_of_validity_start" property="termOfValidityStart" />
        <result column="term_of_validity_end" property="termOfValidityEnd" />
        <result column="address" property="address" />
        <result column="true_name" property="trueName" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_time, modify_id, modify_time, soft_delete, create_id, user_id, head_path, idcard_positivepath, idcard_reversepath, idcard, ossbucketname, ossfolder, date_of_birth, term_of_validity_start, term_of_validity_end, address, true_name
    </sql>

</mapper>
